#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_LargeFishCFGData
{
	//key
	int mID;
	//鱼阵名字
	std::string mName;
	//鱼阵ID
	int mGeneratorID;
	//BOSS鱼ID
	int mFishID;
	//提示信息
	std::string mImageInfo;
	//BOSS鱼阵
	bool mIsBoss;
	//声音
	std::string mBackSound;
	//倒计时
	int mDuration;
	//警告时间
	int mWarnTime;
	//刷水时间
	int mFlashTime;
	//死亡时间
	int mDieTime;
};

class Fish_LargeFishCFG
{
public:
private:
	static std::auto_ptr<Fish_LargeFishCFG> msSingleton;
public:
	int GetCount();
	const Fish_LargeFishCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_LargeFishCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_LargeFishCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_LargeFishCFGData> mMapData;
};
